Retrieve a delta

Returns absence instances that have changed since the last delta token.

Caution

Read the Delta page. There is important information on required implementation!

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/absences?delta

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-absences.read

Response properties

Field Type Required Writable Description
changeVersion string — Read-only Property to indicate the order of changes.
id integer — Read-only Unique identifier for the absence instance.
person.id integer — Read-only Internal ID of the person for whom the absence is registered.
resultingAbsenceDefinition.id integer — Read-only Internal ID of the resulting absence definition.
requestedAbsenceDefinition.id integer — Read-only Internal ID of the originally requested absence definition.
shiftDefinition.id integer — Read-only Internal ID of the shift definition for the absence.
date string — Read-only Date of the absence (YYYY-MM-DD).
startTimeInMinutes integer — Read-only Start time of the absence in minutes since midnight.
durationInMinutes integer — Read-only Duration of the absence in minutes.
calculatedDurationInMinutes integer — Read-only Calculated duration of the absence in minutes.
dayPart string — Read-only Part of the day the absence applies to (First, Second, Unknown).
request.id string — Read-only ID of the related absence request, formatted as {TenantId}-{PersonId}-{RequestId}.
status string — Read-only How the absence was registered (Unknown, Manual, Auto, BeginOpen, Open, Terminal, Calendar).
approvalLevel string — Read-only Approval status (Unknown, AwaitingApproval, Approved, NotApproved, NotApprovedByPriorities, NotApprovedByCalculations).
isLocked boolean — Read-only Indicates if the absence is locked and cannot be changed.
periodType string — Read-only Type of period the absence applies to (Unknown, Day, Week, PayPeriod).

Filters

Filter Type Description
date Required The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year

Note

  • The person filter cannot be combined with delta: a delta always covers all people. A request with both returns 400 Bad Request.
  • The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year
  • The end date isn’t required, when providing an end date there is a max range of 1 year

External references

The endpoint supports predefined and custom external references. See the external references page for details.

The following collections are supported for this endpoint:

Collection Predefined Custom
people @badge-number, @employee-number Supported
shift-definitions @shift-code Supported
absence-definitions @absence-code Supported

Error responses

Status Condition
400 Invalid filter syntax, unknown filter field, or a person filter combined with delta
401 Missing or invalid access token, or insufficient scope
410 Delta token has expired (older than 72 hours)
414 Request URI too long

Examples

A delta with filter on date range

Example for absences with a delta starting from 1st of January 2025:

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/absences?filter=date ge '2025-01-01'&delta